weka.knowledgeflow.steps

## Class TextSaver

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.TextSaver

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="TextSaver",
              category="DataSinks",
              toolTipText="Save text output to a file",
              iconPath="weka/gui/knowledgeflow/icons/DefaultText.gif")
      public class TextSaver
      extends BaseStep

  Step for saving textual data to a file.
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TextSaver.TextSaverDefaults` Defaults for the step

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextSaver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAppend()` get whether the file should be appended to rather than overwritten
    `Defaults` | `getDefaultSettings()` Get default settings for the step (if any).
    `java.io.File` | `getFile()` Get the file to save to
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get a list of incoming connection types that this step can accept.
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get a list of outgoing connection types that this step can produce.
    `boolean` | `getWriteTitleString()` Get whether the title string will be written to the file
    `void` | `processIncoming(Data data)` Process an incoming data payload (if the step accepts incoming connections)
    `void` | `setAppend(boolean append)` Set whether the file should be appended to rather than overwritten
    `void` | `setFile(java.io.File f)` Set the file to save to
    `void` | `setWriteTitleString(boolean w)` Set whether the title string will be written to the file
    `void` | `stepInit()` Initialize the step

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getCustomEditorForStep, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextSaver

          public TextSaver()

  - ### Method Detail

    - #### setFile

          @OptionMetadata(displayName="File to save to",
                          description="The file to save textual results to",
                          displayOrder=1)
           @FilePropertyMetadata(fileChooserDialogType=0,
                                directoriesOnly=false)
          public void setFile(java.io.File f)

      Set the file to save to
      Parameters:
        `f` - the file to save to

    - #### getFile

          public java.io.File getFile()

      Get the file to save to
      Returns:
        the file to save to

    - #### setAppend

          @OptionMetadata(displayName="Append to file",
                          description="Append to file, rather than re-create for each incoming texual result",
                          displayOrder=2)
          public void setAppend(boolean append)

      Set whether the file should be appended to rather than overwritten
      Parameters:
        `append` - true to append

    - #### getAppend

          public boolean getAppend()

      get whether the file should be appended to rather than overwritten
      Returns:
        true if the file will be appended to

    - #### setWriteTitleString

          @OptionMetadata(displayName="Write title string",
                          description="Whether to output the title string associated with each textual result",
                          displayOrder=3)
          public void setWriteTitleString(boolean w)

      Set whether the title string will be written to the file
      Parameters:
        `w` - true to write the title string

    - #### getWriteTitleString

          public boolean getWriteTitleString()

      Get whether the title string will be written to the file
      Returns:
        true if the title string will be written

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get a list of incoming connection types that this step can accept. Ideally (and if appropriate), this should take into account the state of the step and any existing incoming connections. E.g. a step might be able to accept one (and only one) incoming batch data connection.
      Returns:
        a list of incoming connections that this step can accept given its current state

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get a list of outgoing connection types that this step can produce. Ideally (and if appropriate), this should take into account the state of the step and the incoming connections. E.g. depending on what incoming connection is present, a step might be able to produce a trainingSet output, a testSet output or neither, but not both.
      Returns:
        a list of outgoing connections that this step can produce

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Process an incoming data payload (if the step accepts incoming connections)
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the data to process
      Throws:
        `WekaException` - if a problem occurs

    - #### getDefaultSettings

          public Defaults getDefaultSettings()

      Get default settings for the step (if any). Returning null indicates that the step has no user-editable defaults.
      Specified by:
        `getDefaultSettings` in interface `Step`
      Overrides:
        `getDefaultSettings` in class `BaseStep`
      Returns:
        the default settings